
#ifndef __ICSP_H__
#define __ICSP_H__

#include <stdint.h>

void icsp_init(uint32_t magic);//void);
void icsp_done(void);
void icsp_sendbits(uint32_t bits, uint8_t nbits);
void icsp_send16(uint8_t cmd, uint16_t data);
uint8_t icsp_read8(uint8_t cmd);
void icsp_special_nop(uint8_t hi);

#endif // __ICSP_H__
